#!/usr/bin/python3
# vim:ft=python:expandtab:
from asn1crypto.x509 import Certificate
import pprint
import sys
import traceback


def subj_ident(cert):
    ident = cert.subject.native['common_name']
    if cert.subject_alt_name_value and cert.subject_alt_name_value.native:
        for n in cert.subject_alt_name_value.children:
            if n.name == 'rfc822_name':
                ident = n.native
    return ident

def main(argv):
    f = open("jsm.cer", "rb")
    c = f.read()
    f.close()
    cert = Certificate.load(c)
    print(cert.sha1_fingerprint.replace(' ', ':'), subj_ident(cert))

if __name__ == "__main__":
    sys.exit(main(sys.argv))
